### Virtual Method

# Gtk BuilderScopecreate_closure

#### Declaration [src]

    GClosure*
    create_closure (
      GtkBuilderScope* self,
      GtkBuilder* builder,
      const char* function_name,
      GtkBuilderClosureFlags flags,
      GObject* object,
      GError** error
    )

#### Description [src]

Create a closure with the given arguments. See `gtk_builder_create_closure()` for more details on those. The C implementation will try to use `dlsym()` to locate the function name and then `g_cclosure_new()` to create a closure for the symbol. The default implementation just fails and returns `NULL`.

#### Parameters

`builder`

  Type: `GtkBuilder`

  No description available.

  The data is owned by the caller of the function.

`function_name`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `GtkBuilderClosureFlags`

  No description available.

`object`

  Type: `GObject`

  No description available.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GClosure`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.